For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList versions for an agent
      • GETGet the published version for an agent
      • GETGet a specific agent version
      • POSTPublish a specific agent version
Dashboard
LogoLogo
Runtype APIAgent Versions

Publish a specific agent version

POST
/v1/agent-versions/:agentId/publish
POST
/v1/agent-versions/:agentId/publish
$curl -X POST https://api.runtype.com/v1/agent-versions/agentId/publish \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "versionId": "v1.2.3"
>}'
1{
2 "success": true,
3 "message": "Agent version v1.2.3 has been successfully published.",
4 "agentId": "agent_987654321",
5 "versionId": "v1.2.3"
6}
Was this page helpful?
Previous

List surfaces

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

agentIdstringRequired

Request

This endpoint expects an object.
versionIdstringRequired>=1 character

Response

Version published
successboolean
messagestring
agentIdstring
versionIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error